<div class="head">
  <mat-toolbar>
    <div class="heading-1">General Information</div>
    <a [routerLink]="['/apps', appID]">General info</a>
    <a [routerLink]="['/apps']">Back to pods</a>
  </mat-toolbar>
</div>

<div class="info-general">
  <div class="info text">
    Here you can find the circles list that uses your pod.
  </div>
</div>

<mat-table class="" [dataSource]="circles">

  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.name}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef>id</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.id}}</mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>
<br />
<div class="loadingContainer" #loadingIndicator>
  <mat-spinner [diameter]="40"></mat-spinner>
</div>
<br />
<br />